/* Written by Yong Li, Depeng Liu                                       */
/* Copyright (c) 2016                  	                               */
/* This program is free software: you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
 /* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License    */
/* along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

package cn.ac.ios.learner;

public enum LearnerType {
	
	LSTAR,
	DFA_TREE,
	DFA_TABLE,
	TREEKV,
	NLSTAR,
	WEIGHT,
	BUECHI,
	
	// FDFA
	
	FDFA,
	
	FDFA_LEADING,
	FDFA_PROGRESS,
	
	FDFA_LEADING_TREE,
	FDFA_PROGRESS_TREE,
	
	FDFA_PERIODIC_TABLE,
	FDFA_SYNTACTIC_TABLE,
	FDFA_RECURRENT_TABLE,
	
	FDFA_PERIODIC_TREE,
	FDFA_SYNTACTIC_TREE,
	FDFA_RECURRENT_TREE,
	
}
